Gda.SqlStatement – Gda-6.0 Reference Manual

# SqlStatement

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_statement_get_type ()" ) ]
[ Compact ]
public class SqlStatement
Namespace: Gda
Package: Gda-6.0

## Content:

### Static methods:

- public static SqlStatementContentsInfo get_contents_infos (SqlStatementType type)
- public static SqlStatementType string_to_type (string type)
- public static unowned string type_to_string (SqlStatementType type)

### Creation methods:

- public SqlStatement (SqlStatementType type)

### Methods:

- public void check_clean ()
- public bool check_structure () throws Error
- public bool check_validity (Connection? cnc) throws Error
- public bool check_validity_m (MetaStruct? mstruct) throws Error
- public void compound_set_type (SqlStatementCompoundType type)
- public void compound_take_stmt (SqlStatement s)
- public SqlStatement copy ()
- public void delete_take_condition (SqlExpr cond)
- public void delete_take_table_name (Value value)
- public void free ()
- public void insert_take_1_values_list (SList<SqlExpr> list)
- public void insert_take_extra_values_list (SList<SqlExpr> list)
- public void insert_take_fields_list (SList<SqlField> list)
- public void insert_take_on_conflict (Value value)
- public void insert_take_select (SqlStatement select)
- public void insert_take_table_name (Value value)
- public bool normalize (Connection? cnc) throws Error
- public void select_take_distinct (bool distinct, SqlExpr? distinct_expr)
- public void select_take_expr_list (SList<SqlSelectField> expr_list)
- public void select_take_from (SqlSelectFrom from)
- public void select_take_group_by (SList<SqlExpr> group_by)
- public void select_take_having_cond (SqlExpr expr)
- public void select_take_limits (SqlExpr count, SqlExpr offset)
- public void select_take_order_by (SList<SqlSelectOrder> order_by)
- public void select_take_where_cond (SqlExpr expr)
- public string serialize ()
- public void trans_set_isol_level (TransactionIsolation level)
- public void trans_take_mode (owned Value value)
- public void trans_take_name (owned Value value)
- public void unknown_take_expressions (SList<SqlExpr> expressions)
- public void update_take_condition (SqlExpr cond)
- public void update_take_on_conflict (Value value)
- public void update_take_set_value (Value fname, SqlExpr expr)
- public void update_take_table_name (Value value)

### Fields:

- public void* contents
- public unowned string sql
- public SqlStatementType stmt_type
- public unowned MetaStruct validity_meta_struct